curl --request GET \
--url https://api-v2.boost.xyz/signaturesimport requests
url = "https://api-v2.boost.xyz/signatures"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-v2.boost.xyz/signatures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"signature": "<string>",
"claimant": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"referrer": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"incentiveId": 123
}
]{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Generate a claim signature that can be used to submit a claim
Given a tx hash, id, and valid claim data hash, generate a valid signature that can be used to claim a reward on chain.
Query Parameters
Hex in format 0x[0-9a-fA-F]{64} Transaction hash of transaction that satisfies a reward's action that unlocks claim rewards.
BoostID in format chainId:boostCoreAddress:identifier System reward ID in the format chainId:boostCoreAddress:identifier
"8453:0x378632819f39c74c4f56b1429e760739c5fb51b7:1"
Additional encoded claim data to submit along with the transaction for a claim
Response
Successfully generated a claim signature
Claim signature that can be used with the Boost Protocol V2's claim/claimIncentiveFor methods
The address for the user making the claim
^0x[a-fA-F0-9]{40}$"0x378632819f39c74c4f56b1429e760739c5fb51b7"
The address of the referrer
^0x[a-fA-F0-9]{40}$"0x378632819f39c74c4f56b1429e760739c5fb51b7"
The index of the incentive being claimed, typically 0